
From: David Howells <dhowells@redhat.com>

The attached patch removes irq_enter() and friends from asm-frv/hardirq.h as
they are now mandatorily defined in linux/hardirq.h.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-frv/hardirq.h |   13 -------------
 1 files changed, 13 deletions(-)

diff -puN include/asm-frv/hardirq.h~frv-remove-obsolete-hardirq-stuff-from-includes include/asm-frv/hardirq.h
--- 25/include/asm-frv/hardirq.h~frv-remove-obsolete-hardirq-stuff-from-includes	2004-11-16 23:38:22.727820384 -0800
+++ 25-akpm/include/asm-frv/hardirq.h	2004-11-16 23:38:22.730819928 -0800
@@ -22,19 +22,6 @@ typedef struct {
 
 #include <linux/irq_cpustat.h>	/* Standard mappings for irq_cpustat_t above */
 
-
-#define irq_enter()		(preempt_count() += HARDIRQ_OFFSET)
-#define nmi_enter()		(irq_enter())
-#define nmi_exit()		(preempt_count() -= HARDIRQ_OFFSET)
-
-#define irq_exit()							\
-do {									\
-	preempt_count() -= IRQ_EXIT_OFFSET;				\
-	if (!in_interrupt() && softirq_pending(smp_processor_id()))	\
-		do_softirq();						\
-	preempt_enable_no_resched();					\
-} while (0)
-
 #ifdef CONFIG_SMP
 #error SMP not available on FR-V
 #endif /* CONFIG_SMP */
_
